BasicAuthenticator (Apache Tomcat 9.0.43 API Documentation)

org.apache.tomcat.websocket

## Class BasicAuthenticator

- java.lang.Object
- - org.apache.tomcat.websocket.Authenticator
  - - org.apache.tomcat.websocket.BasicAuthenticator

-     public class BasicAuthenticator
      extends Authenticator

  Authenticator supporting the BASIC auth method.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `charsetparam`
    `static String` | `schemeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicAuthenticator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorization(String requestUri, String WWWAuthenticate, Map<String,Object> userProperties)` Generate the authentication header that will be sent to the server.
    `String` | `getSchemeName()` Get the authentication method.

    - ### Methods inherited from class org.apache.tomcat.websocket.Authenticator

      `parseWWWAuthenticateHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### schemeName

          public static final String schemeName

      See Also:
        Constant Field Values

    - #### charsetparam

          public static final String charsetparam

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BasicAuthenticator

          public BasicAuthenticator()

  - ### Method Detail

    - #### getAuthorization

          public String getAuthorization(String requestUri,
                                         String WWWAuthenticate,
                                         Map<String,Object> userProperties)
                                  throws AuthenticationException

      Description copied from class: `Authenticator`
      Generate the authentication header that will be sent to the server.
      Specified by:
        `getAuthorization` in class `Authenticator`
      Parameters:
        `requestUri` - The request URI
        `WWWAuthenticate` - The server auth challenge
        `userProperties` - The user information
      Returns:
        The auth header
      Throws:
        `AuthenticationException` - When an error occurs

    - #### getSchemeName

          public String getSchemeName()

      Description copied from class: `Authenticator`
      Get the authentication method.
      Specified by:
        `getSchemeName` in class `Authenticator`
      Returns:
        the auth scheme

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.